
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

#config etc/rc.d/rc.postgresql.new

NEW_UID=mrtg
NEW_UIDNUMBER=108

# Search for first free uidNumber & gidNumber above 108
while getent passwd | cut -d: -f3 | grep -e "^$NEW_UIDNUMBER$" >/dev/null || \
        getent group | cut -d: -f3 | grep -e "^$NEW_UIDNUMBER$" >/dev/null
do
        let NEW_UIDNUMBER+=1
done

# Add group if it doesn't currently exist
if ! getent group $NEW_UID > /dev/null
then
    groupadd -g $NEW_UIDNUMBER $NEW_UID
fi
getent group $NEW_UID

# Add user if it doesn't currently exist
if ! getent passwd $NEW_UID > /dev/null
then
    useradd -u $NEW_UIDNUMBER -c 'MRTG User' -d /var/lib/mrtg -g $NEW_UID $NEW_UID
fi
getent passwd $NEW_UID

chgrp $NEW_UID etc/mrtg
chown -R $NEW_UID.$NEW_UID var/lib/mrtg
